org.apache.olingo.odata2.jpa.processor.api.factory

## Interface JPAAccessFactory

-     public interface JPAAccessFactory

  Factory interface for creating
  1. JPA EDM Model view
  2. JPA Processor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JPAEdmMapping` | `getJPAEdmMappingInstance()` The method instantiates a JPAEdmMapping instance.
    `JPAEdmMappingModelAccess` | `getJPAEdmMappingModelAccess(ODataJPAContext oDataJPAContext)` The method returns an instance of JPA EDM mapping model access based on OData JPA context.
    `JPAEdmModelView` | `getJPAEdmModelView(ODataJPAContext oDataJPAContext)` The method returns an instance of JPA EDM model view based on OData JPA Context.
    `JPAProcessor` | `getJPAProcessor(ODataJPAContext oDataJPAContext)` The method returns an instance of JPA processor based on OData JPA Context.

- - ### Method Detail

    - #### getJPAEdmModelView

          JPAEdmModelView getJPAEdmModelView(ODataJPAContext oDataJPAContext)

      The method returns an instance of JPA EDM model view based on OData JPA Context. The JPA EDM model view thus returned can be used for building EDM models from Java persistence models.
      Parameters:
        `oDataJPAContext` - a non null instance of `ODataJPAContext`
      Returns:
        an instance of type `JPAEdmModelView`

    - #### getJPAProcessor

          JPAProcessor getJPAProcessor(ODataJPAContext oDataJPAContext)

      The method returns an instance of JPA processor based on OData JPA Context. The JPA Processor thus returned can be used for building and processing JPQL statements.
      Parameters:
        `oDataJPAContext` - a non null instance of `ODataJPAContext`
      Returns:
        an instance of type `JPAProcessor`

    - #### getJPAEdmMappingModelAccess

          JPAEdmMappingModelAccess getJPAEdmMappingModelAccess(ODataJPAContext oDataJPAContext)

      The method returns an instance of JPA EDM mapping model access based on OData JPA context. The instance thus returned can be used for accessing the mapping details maintained for an OData service
      Parameters:
        `oDataJPAContext` - a non null instance of `ODataJPAContext`
      Returns:
        an instance of type `JPAEdmMappingModelAccess`

    - #### getJPAEdmMappingInstance

          JPAEdmMapping getJPAEdmMappingInstance()

      The method instantiates a JPAEdmMapping instance.
      Returns:
        an instance of type `JPAEdmMapping`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.